Author Topic: 2.4.4 crashing on Ubuntu  (Read 2941 times)

freddybob

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
2.4.4 crashing on Ubuntu
« on: October 06, 2010, 09:34:42 pm »
qBittorrent keeps crashing on me in both Ubuntu 10.04 and Ubuntu 10.10.


Code: [Select]
Peer ID: -qB2440-
HTTP user agent is qBittorrent v2.4.4


*************************************************************
Catching SIGSEGV, please report a bug at http://bug.qbittorrent.org
and provide the following backtrace:
stack trace:
  [0x92a400]
  /usr/lib/libstdc++.so.6 : std::_Rb_tree_increment(std::_Rb_tree_node_base*)+0x12  [0xc89ea2]
  /usr/lib/libtorrent-rasterbar.so.5 : libtorrent::policy::find_connect_candidate()+0x30b  [0x111046b]
  /usr/lib/libtorrent-rasterbar.so.5 : libtorrent::policy::connect_one_peer()+0x2c  [0x111081c]
  /usr/lib/libtorrent-rasterbar.so.5 : libtorrent::torrent::try_connect_peer()+0x39  [0x114e529]
  /usr/lib/libtorrent-rasterbar.so.5 : libtorrent::aux::session_impl::second_tick(boost::system::error_code const&)+0x10d1  [0x11226d1]
  /usr/lib/libtorrent-rasterbar.so.5 : boost::asio::detail::handler_queue::handler_wrapper<boost::asio::detail::binder1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, libtorrent::aux::session_impl, boost::system::error_code const&>, boost::_bi::list2<boost::_bi::value<libtorrent::aux::session_impl*>, boost::arg<1> > >, boost::system::error_code> >::do_call(boost::asio::detail::handler_queue::handler*)+0x7b  [0x112de5b]
  /usr/lib/libtorrent-rasterbar.so.5 : boost::asio::detail::task_io_service<boost::asio::detail::epoll_reactor<false> >::run(boost::system::error_code&)+0x350  [0x10e2e90]
  /usr/lib/libtorrent-rasterbar.so.5 : libtorrent::aux::session_impl::operator()()+0x84  [0x11264d4]
  /usr/lib/libtorrent-rasterbar.so.5 : boost::detail::thread_data<boost::reference_wrapper<libtorrent::aux::session_impl> >::run()+0x23  [0x113b213]
  /usr/lib/libboost_thread.so.1.40.0 : thread_proxy()+0x65  [0xf4c7c5]
  /lib/libpthread.so.0 : ()+0x5cc9  [0x485cc9]
  /lib/libc.so.6 : clone()+0x5e  [0x35c66ae]
Segmentation fault
« Last Edit: January 01, 1970, 01:00:00 am by Guest »

christophe.dumez

  • Administrator
  • Veteran
  • *****
  • Posts: 179
  • Karma: +10/-0
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #1 on: October 06, 2010, 10:04:11 pm »
This kind of crash happens when qbittorrent has been compiled against version X of one lib and you are running it with version Y. Basically, this is a dependency problem.
Do you have mixed libs for Ubuntu v10.04 and Ubuntu v.10.10?
« Last Edit: January 01, 1970, 01:00:00 am by Guest »
qBittorrent author

freddybob

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #2 on: October 06, 2010, 10:34:02 pm »
That makes sense, I think this comes from having Deluge and qBittorrent both installed.  I think they have some libs in common but at different versions.
« Last Edit: January 01, 1970, 01:00:00 am by Guest »

christophe.dumez

  • Administrator
  • Veteran
  • *****
  • Posts: 179
  • Karma: +10/-0
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #3 on: October 06, 2010, 10:42:22 pm »
Yes, mixing qBittorrent and Deluge is not a good idea, especially if you use PPAs (otherwise you should be fine).
« Last Edit: January 01, 1970, 01:00:00 am by Guest »
qBittorrent author

mapkino

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #4 on: December 15, 2010, 03:16:12 pm »
I have no PPA's.

qBbittorrent 2.4.3 on Ubuntu 10.10 kernel 2.6.35-23:     crashing.
qBbittorrent 2.4.3 on Ubuntu 10.10 kernel 2.6.35-22:     crashing.

Deluge 1.3.0 on Ubuntu 10.10 kernel 2.6.35-23:     crashing.
Deluge 1.3.0 on Ubuntu 10.10 kernel 2.6.35-22:     crashing.

Really sad situation.

Dear, old, slow Transmission I'm coming back to you again!

See ya
« Last Edit: January 01, 1970, 01:00:00 am by Guest »

Peter

  • Administrator
  • Forum addict
  • *****
  • Posts: 1587
  • Karma: +37/-2
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #5 on: December 17, 2010, 04:42:51 am »
What do you mean by crashing?
If you try to run qBittorrent from a terminal, does it give any kind of debug information?

(It is possible you'll have to have a debug libtorrent-rasterbar..)

Anyway, you should try  updating to the latest (PPA version) first.
« Last Edit: January 01, 1970, 01:00:00 am by Guest »
- qBittorrent team - server and forum administrator.
- Hungarian translation reviewer/moderator (+ translator).

Join the official qBittorrent Discord!
https://discord.gg/ma66Vv4

mapkino

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: 2.4.4 crashing on Ubuntu
« Reply #6 on: December 17, 2010, 10:11:12 am »
It's OK now.
I think the problem was Deluge with his massive RAM usage and CPU 95%.
Uninstalling Deluge all the others work perfectly.

qBittorrent 2.4.3 (for me) and Transmission 2.0.4 (for my wife) they live and work
with no problem.

Thank you guys
« Last Edit: January 01, 1970, 01:00:00 am by Guest »